## kopete-message-indicator 0.2.0

=== CMakeLists.txt ===
project(kopete-message-indicator)

cmake_minimum_required(VERSION 2.6)

# Packaging
set(PROJECT_VERSION "0.2.0")
set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    COMMAND gpg --armor --sign --detach-sig  ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
find_package(PkgConfig REQUIRED)
find_package(Kopete REQUIRED)
pkg_check_modules(INDICATE REQUIRED indicate>=0.2.1)
pkg_check_modules(INDICATEQT REQUIRED indicate-qt>=0.2.2)

include_directories(
    ${KDE4_INCLUDES}
    ${INDICATE_INCLUDE_DIRS}
    ${INDICATEQT_INCLUDE_DIRS}
    )

link_directories(
    ${INDICATE_LIBRARY_DIRS}
    ${INDICATEQT_LIBRARY_DIRS}
    )

add_subdirectory(src)

=== debian/changelog ===
kopete-message-indicator (0.2.0-0ubuntu2) maverick; urgency=low

  * Add a build-depend on cmake now that kdelibs5-dev no longer depends on it

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 May 2010 19:16:03 -0400

kopete-message-indicator (0.2.0-0ubuntu1) lucid; urgency=low

  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 11:56:25 +0000

=== debian/control ===
Source: kopete-message-indicator
Section: kde
Priority: optional
Maintainer: Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev, libindicate-qt-dev (>= 0.2.2), libkopete-dev
Standards-Version: 3.8.4
Homepage: https://launchpad.net/kopete-message-indicator

Package: kopete-message-indicator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: plasma-widget-message-indicator
Description: Kopete plugin for Message Indicator
 A plugin for Kopete which makes it possible to show activity in the
 Message Indicator.

## kopete-message-indicator 0.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 # Packaging
-set(PROJECT_VERSION "0.2.0")
+set(PROJECT_VERSION "0.2.1")
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 add_custom_target(dist
     COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
@@ -15,7 +15,6 @@
 include(KDE4Defaults)
 find_package(PkgConfig REQUIRED)
 find_package(Kopete REQUIRED)
-pkg_check_modules(INDICATE REQUIRED indicate>=0.2.1)
 pkg_check_modules(INDICATEQT REQUIRED indicate-qt>=0.2.2)
 
 include_directories(

=== src/CMakeLists.txt ===
include_directories(
    ${KOPETE_INCLUDE_DIR}
    )

include_directories(${INDICATEQT_INCLUDE_DIRS})
link_directories(${INDICATEQT_LIBRARY_DIRS})

set(kopete_message_indicator_SRCS indicatorplugin.cpp)

kde4_add_plugin(kopete_message_indicator ${kopete_message_indicator_SRCS})


target_link_libraries(kopete_message_indicator
    ${KDE4_KIO_LIBS}
    ${KOPETE_LIBRARIES}
    ${INDICATEQT_LIBRARIES}
    )

install(TARGETS kopete_message_indicator
    DESTINATION ${PLUGIN_INSTALL_DIR}
    )

install(FILES kopete_message_indicator.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    )

=== debian/changelog ===
kopete-message-indicator (0.2.1-0ubuntu2) oneiric; urgency=low

  * Fix FTBFS by adding missing build-dep on pkg-config (LP: #829510)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 20 Aug 2011 10:25:38 -0400

kopete-message-indicator (0.2.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Feb 2011 19:11:21 +0000

kopete-message-indicator (0.2.0-0ubuntu3) natty; urgency=low

  * Build against libindicate-qt 0.2.5.91 for soname transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Feb 2011 18:00:26 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev, libindicate-qt-dev (>= 0.2.2), libkopete-dev
+Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, kdelibs5-dev, libindicate-qt-dev (>= 0.2.5.91), libkopete-dev, pkg-config
 Standards-Version: 3.8.4
 Homepage: https://launchpad.net/kopete-message-indicator

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh --with kde $@

=== debian/watch ===
version=3
https://launchpad.net/kopete-message-indicator/+download \
http://launchpad.net/kopete-message-indicator/trunk/\d.\d.\d/\+download/kopete-message-indicator-(.*)\.tar\.bz2
